Get Signing Progress
Get the current signing progress for an envelope.
Get the current signing progress for an envelope.
Authorization
bearerAuth API key as Bearer token. Format: signsecure_xxxxxxxx...
In: header
Path Parameters
The envelope ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.signsecure.com/api/v1/envelopes/string/status"{
"envelopeId": "string",
"status": "draft",
"totalRecipients": 0,
"completedCount": 0,
"percentage": 100,
"recipients": [
{
"name": "string",
"email": "string",
"status": "signed",
"signedAt": "2019-08-24T14:15:22Z",
"order": 0
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "FORBIDDEN",
"message": "API key is disabled",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "NOT_FOUND",
"message": "Envelope not found",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "An internal error occurred",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}Cancel Signing POST
Cancel the signing process for an envelope. All pending actions are voided.
Send Envelope for Signing POST
Send an envelope to all recipients for signing. Transitions the envelope from `draft` to `pending`. No request body is needed. Workflow settings (mode, verification, email notifications, redirect URL, etc.) are configured during envelope creation via `POST /envelopes`. Requirements: - At least one signer or approver recipient - PDF file must be uploaded - Sufficient credits